> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crewpass.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Partner usage summary



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/admin/partners/{partner_id}/usage
openapi: 3.1.0
info:
  title: crewpass-api-v2
  description: >-
    CrewPass V2 Partner API — a scope-gated, consent-intersected, multi-tenant
    front door onto existing CrewPass crew/vessel/compliance data.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/admin/partners/{partner_id}/usage:
    get:
      tags:
        - admin
      summary: Partner usage summary
      operationId: partner_usage_api_v2_admin_partners__partner_id__usage_get
      parameters:
        - name: partner_id
          in: path
          required: true
          schema:
            type: string
            title: Partner Id
        - name: include_console
          in: query
          required: false
          schema:
            type: boolean
            description: Include Super Admin console preview/playground traffic.
            default: false
            title: Include Console
          description: Include Super Admin console preview/playground traffic.
        - name: X-Internal-Auth
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Internal-Auth
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsageResponse:
      properties:
        partner_id:
          type: string
          title: Partner Id
        total_calls:
          type: integer
          title: Total Calls
        success_calls:
          type: integer
          title: Success Calls
        error_calls:
          type: integer
          title: Error Calls
        distinct_crew:
          type: integer
          title: Distinct Crew
        by_endpoint:
          additionalProperties:
            type: integer
          type: object
          title: By Endpoint
        by_scope:
          additionalProperties:
            type: integer
          type: object
          title: By Scope
        by_status_code:
          additionalProperties:
            type: integer
          type: object
          title: By Status Code
        last_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen
      type: object
      required:
        - partner_id
        - total_calls
        - success_calls
        - error_calls
        - distinct_crew
        - by_endpoint
        - by_scope
        - by_status_code
      title: UsageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````